CVE-2019-10160

Impact:
Important
Public Date:
2019-06-03
CWE:
CWE-172
Bugzilla:
1718388: CVE-2019-10160 python: regression of CVE-2019-9636 due to functional fix to allow port numbers in netloc

The MITRE CVE dictionary describes this issue as:

A security regression of CVE-2019-9636 was discovered in python since commit d537ab0ff9767ef024f26246899728f0116b1ec3 affecting versions 2.7, 3.5, 3.6, 3.7 and from v3.8.0a4 through v3.8.0b1, which still allows an attacker to exploit CVE-2019-9636 by abusing the user and password parts of a URL. When an application parses user-supplied URLs to store cookies, authentication credentials, or other kind of information, it is possible for an attacker to provide specially crafted URLs to make the application locate host-related information (e.g. cookies, authentication data) and send them to a different host than where it should, unlike if the URLs had been correctly parsed. The result of an attack may vary based on the application.

Find out more about CVE-2019-10160 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue did not affect the versions of python as shipped with Red Hat Enterprise Linux 5 and 6 as the security regression was not introduced in those versions. See CVE-2019-9636 for more details about the how these versions of Red Hat Enterprise Linux are affected with regard to the original flaw.

This issue did not affect the versions of python as shipped with Red Hat Enterprise Linux 8 as the security regression was not introduced in those versions. See CVE-2019-9636 for more details about the how these versions of Red Hat Enterprise Linux are affected with regard to the original flaw.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 9.8
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality High
Integrity Impact High
Availability Impact High

Affected Packages State

Platform Package State
Red Hat Virtualization 4 rhvm-appliance Under investigation
Red Hat Virtualization 4 redhat-virtualization-host Under investigation
Red Hat Software Collections for Red Hat Enterprise Linux rh-python35-python Out of support scope
Red Hat Software Collections for Red Hat Enterprise Linux python27-python Affected
Red Hat Software Collections for Red Hat Enterprise Linux rh-python36-python Not affected
Red Hat Enterprise Linux 8 python36:3.6/python36 Not affected
Red Hat Enterprise Linux 8 python3 Not affected
Red Hat Enterprise Linux 8 python27:2.7/python2 Not affected
Red Hat Enterprise Linux 7 python Affected
Red Hat Enterprise Linux 7 python3 Not affected
Red Hat Enterprise Linux 6 python Not affected
Red Hat Enterprise Linux 5 python Not affected

Acknowledgements

This issue was discovered by Riccardo Schirone (Red Hat).

External References

Last Modified

CVE description copyright © 2017, The MITRE Corporation